<template>
    <div class="rounded border px-4 py-2" :class="color">
        <feather :type="icon" class="h-5 align-middle" :class="color" />
        <slot />
    </div>
</template>

<style scoped>
    .yellow {
        @apply bg-yellow-200;
        @apply border-yellow-500;
    }
    .feather.yellow {
        @apply text-yellow-700;
    }

    .red {
        @apply bg-red-200;
        @apply border-red-500;
    }
    .feather.red {
        @apply text-red-700;
    }

    .green {
        @apply bg-green-200;
        @apply border-green-500;
    }
    .feather.green {
        @apply text-green-700;
    }

    .blue {
        @apply bg-blue-200;
        @apply border-blue-500;
    }
    .feather.blue {
        @apply text-blue-700;
    }
</style>

<script>
export default {
    props: {
        color: {
            validator(value){
                return ['red','yellow','blue','green'].indexOf(value) !== -1;
            }
        }
    },
    computed: {
        icon(){
            if(this.color == 'yellow') return 'alert-triangle';
            if(this.color == 'red') return 'alert-octagon';
            if(this.color == 'blue') return 'info';
            if(this.color == 'green') return 'check-circle';
            return '';
        }
    }
}
</script>